﻿using System.ComponentModel.DataAnnotations;

namespace TreeMapLayout.Models
{
    public class SampleModel
    {
        public SampleModel()
        {
            WeighBy = (WeightType)1;
            ColorBy = (WeightType)0;
        }
        [Required]
        [Display(Name = "Weigh By")]
        public WeightType WeighBy { get; set; }

        [Required]
        [Display(Name = "Color By")]
        public WeightType ColorBy { get; set; }
    }

    public enum WeightType
    {
        Population,
        Area
    }
}